package edu.unca.cs.csci255;

import java.io.* ;

public class MysteryFSM0 {
    
    enum State { S0, S1, S2 } ;
    
    private static char output(State presState) {
        return presState == State.S0 ? '1' : '0' ;
    }

    private static State nextState(State presState, char inChar) {
        State nxtState ; 
        if (inChar == '0') {
            if (presState == State.S0) {
                nxtState = State.S0 ;
            } else if (presState == State.S1) {
                nxtState = State.S2 ;
            } else /* presState == State.S2*/ {
                nxtState = State.S1 ;
            }
        } else /* inChar == '1' */ {
            if (presState == State.S0) {
                nxtState = State.S1 ;
            } else if (presState == State.S1) {
                nxtState = State.S0 ;
            } else /* presState == State.S2*/ {
                nxtState = State.S2 ;
            }
        }
        return nxtState ;
    }
    
    public static void main(String[] args) {
        try {
            State presState = State.S0 ;
            BufferedReader stdio 
                = new BufferedReader(new InputStreamReader(System.in)) ;
            String inline = stdio.readLine() ;
            String outline = "" ;
            for (int i=0; i<inline.length(); ++i) {
                char inChar = inline.charAt(i) ;
                if (inChar != '0' && inChar != '1') {
                    outline = outline.concat("_") ;
                } else {
                    presState = nextState(presState, inChar) ;
                    char outChar = output(presState) ;
                    outline = outline.concat(Character.toString(outChar)) ;
                }
            }
            System.out.println("< " + inline) ;
            System.out.println("> " + outline) ;
        } catch (IOException e) {}
    }
}
